gtk-sharp 2.12.0.0 GLib.Object Print job class. Represents a job sent to a printer. Direct use of this class is only necessary when using the non-portable API. The property accesses the cairo surface onto which the pages should be drawn. When finished drawing, call to send the job to the printer.
- Constructor
  2.12.0.0
  System.Obsolete
  Native type value.
  Obsolete Protected Constructor.
  Do not use. Replaced by which registers native types automatically. Subclasses should chain to the IntPtr constructor passing and call CreateNativeObject instead of using this constructor. This constructor is provided for backward compatibility if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Native object pointer.
  Internal constructor
  This is not typically used by C# code. Exposed primarily for use by language bindings to wrap native object instances.
- Constructor
  2.12.0.0
  Job title.
  Printer target.
  Print settings.
  Page setup.
  Public constructor.
  Instantiates a print job.
- Property
  2.12.0.0
  GLib.GType GType Property. The native value. Returns the native value for .
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideStatusChanged", Type=typeof(Gtk.PrintJob))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  GLib.Property("page-setup")
  Gtk.PageSetup PageSetup property. A .
- Property
  2.12.0.0
  GLib.Property("printer")
  Gtk.Printer Printer property. A . The printer associated with the job.
- Method
  2.12.0.0
  System.Void `` Completion callback delegate. Sends a job to a printer. When sending is complete, is invoked.
- Method
  2.12.0.0
  System.Boolean `` Print source file. SetSourceFile method. If , an error occurred. Causes the print job to send an existing source document to the printer. Typically the file is in Postscript format, but on some platforms PDF may also be supported.
- Property
  2.12.0.0
  GLib.Property("settings")
  Gtk.PrintSettings Settings property. The for the job.
- Property
  2.12.0.0
  Gtk.PrintStatus Status property. a . Indicates the current print status of the job.
- Event
  2.12.0.0
  GLib.Signal("status-changed")
  System.EventHandler StatusChanged event. Reports changes in print status. Only raised if is . Use to obtain the current status.
- Property
  2.12.0.0
  GLib.Property("title")
  System.String Title property. The job title string, or if untitled.
- Property
  2.12.0.0
  GLib.Property("track-print-status")
  System.Boolean TrackPrintStatus property. If , the job raises events to report status. Indicates if the job will raise events to report print progress.